diff --git a/CMakeLists.txt b/CMakeLists.txt
index 4c907883908db751bdda705e297ce36a8f18e9e6..cce6a3ba898499b5582b3e5e69a26be4db5def08 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -9,7 +9,7 @@ phoenix_base_project("PhoenixSocket" "2.0.0"
 
 pull_extra_module("PhoenixDataStream" "https://gitlab.in2p3.fr/CTA-LAPP/PHOENIX_LIBS2/PhoenixDataStream.git")
 
-include_directories(
+phoenix_include_directories(
 	${CMAKE_CURRENT_SOURCE_DIR}
 	${CMAKE_CURRENT_BINARY_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/src
diff --git a/install.sh b/install.sh
index 087324f8fb0416697657956afa5f26499098b6ee..3c29a70eed205e682cd6f4e1072d5a1259705e10 100755
--- a/install.sh
+++ b/install.sh
@@ -27,7 +27,9 @@ export PATH=$INSTALL_PREFIX/bin:$PATH
 export LD_LIBRARY_PATH=$INSTALL_PREFIX/lib:$LD_LIBRARY_PATH
 export DYLD_LIBRARY_PATH=$INSTALL_PREFIX/lib:$DYLD_LIBRARY_PATH
 
-if [ $(command -v phoenixcmake-config 2>&1 >/dev/null) ]
+command -v phoenixcmake-config >/dev/null 2>&1
+result=$?
+if [ ${result} -eq 0 ]
 then
 	echo "phoenixcmake-config found. Let's install the current project"
 else
diff --git a/update.sh b/update.sh
index 8c00f3d39ca87531acbc8280ebae84ad9e0f6e72..67544b09740836a8bf53c7412c64237bb5b1ce89 100755
--- a/update.sh
+++ b/update.sh
@@ -21,7 +21,9 @@ export PATH=$INSTALL_PREFIX/bin:$PATH
 export LD_LIBRARY_PATH=$INSTALL_PREFIX/lib:$LD_LIBRARY_PATH
 export DYLD_LIBRARY_PATH=$INSTALL_PREFIX/lib:$DYLD_LIBRARY_PATH
 
-if [ $(command -v phoenixcmake-config 2>&1 >/dev/null) ]
+command -v phoenixcmake-config >/dev/null 2>&1
+result=$?
+if [ ${result} -eq 0 ]
 then
 	echo "phoenixcmake-config found. Let's install the current project"
 else